package com.yh.saas.plugin.supply.servicer.entity.view;

import lombok.Data;

@Data
public class ServicerView<T> {

	private T merchantInfo;

	/**
	 * 任务ID
	 */
	private String taskId;

	private Boolean editable;

	/**
	 * 页面审批标识是否通过 1.通过 2.退回
	 */
	private String isApprove;

	/**
	 * 审核意见
	 */
	private String auditMind;

	private Boolean onlySubmit = false;

	public ServicerView<T> getInstance(T applyInfo, String taskId, boolean editable) {
		ServicerView<T> servicerView = new ServicerView<>();
		servicerView.setMerchantInfo(applyInfo);
		servicerView.setTaskId(taskId);
		servicerView.setEditable(editable);
		return servicerView;
	}
}
